summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Kyle Guinn <elyk03@gmail.com>2010-05-11 15:18:46 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 15:18:46 +0200
commit9b6bfa1d96d0a1fc6367da2b314d74f37231fd75 (patch)
tree0b6a97c0679e6244f3215ed7f64d9ade963ef8ca
parentfc178e58cc2f3dabd17781fe0a45a1c1d8ab191a (diff)
downloadslackbuilds-9b6bfa1d96d0a1fc6367da2b314d74f37231fd75.tar.gz
slackbuilds-9b6bfa1d96d0a1fc6367da2b314d74f37231fd75.tar.xz
system/t1utils: Initial import
-rw-r--r--system/t1utils/README14
-rw-r--r--system/t1utils/slack-desc11
-rw-r--r--system/t1utils/t1utils.SlackBuild59
-rw-r--r--system/t1utils/t1utils.info8
4 files changed, 92 insertions, 0 deletions
diff --git a/system/t1utils/README b/system/t1utils/README
new file mode 100644
index 0000000000..89c805d11e
--- /dev/null
+++ b/system/t1utils/README
@@ -0,0 +1,14 @@
+t1utils is a collection of simple type-1 font manipulation programs. Together,
+they allow you to convert between PFA (ASCII) and PFB (binary) formats,
+disassemble PFA or PFB files into human-readable form, and reassemble them
+into PFA or PFB format. Additionally you can extract font resources from
+a Macintosh font file (ATM/Laserwriter), or create a Macintosh Type 1 font
+file from a PFA or PFB font.
+
+* t1ascii: changes PFB (binary) fonts into PFA (ASCII) format
+* t1binary: goes the opposite direction
+* t1disasm: translates PFBs or PFAs into a human-readable and -editable format
+* t1asm: goes the opposite direction
+* t1unmac: translates a Macintosh Type 1 font into either PFB or PFA format
+* t1mac: goes the opposite direction
+
diff --git a/system/t1utils/slack-desc b/system/t1utils/slack-desc
new file mode 100644
index 0000000000..b825c250bf
--- /dev/null
+++ b/system/t1utils/slack-desc
@@ -0,0 +1,11 @@
+t1utils: Type 1 Utilities
+t1utils:
+t1utils: t1utils is a collection of simple type-1 font manipulation programs.
+t1utils: Together, they allow you to convert between PFA (ASCII) and PFB
+t1utils: (binary) formats, disassemble PFA or PFB files into human-readable
+t1utils: form, and reassemble them into PFA or PFB format. Additionally you
+t1utils: can extract font resources from a Macintosh font file
+t1utils: (ATM/Laserwriter), or create a Macintosh Type 1 font file from a
+t1utils: PFA or PFB font.
+t1utils:
+t1utils:
diff --git a/system/t1utils/t1utils.SlackBuild b/system/t1utils/t1utils.SlackBuild
new file mode 100644
index 0000000000..fef88db754
--- /dev/null
+++ b/system/t1utils/t1utils.SlackBuild
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+# Slackware build script for t1utils
+# Written by Kyle Guinn
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=t1utils
+VERSION=1.32
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+if [ -d $PKG/usr/man ]; then
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/t1utils/t1utils.info b/system/t1utils/t1utils.info
new file mode 100644
index 0000000000..fbdd425231
--- /dev/null
+++ b/system/t1utils/t1utils.info
@@ -0,0 +1,8 @@
+PRGNAM="t1utils"
+VERSION="1.32"
+HOMEPAGE="http://www.lcdf.org/~eddietwo/type/"
+DOWNLOAD="http://www.lcdf.org/~eddietwo/type/t1utils-1.32.tar.gz"
+MD5SUM="733892543a5b852b7e5d87bc58117f53"
+MAINTAINER="Kyle Guinn"
+EMAIL="elyk03@gmail.com"
+APPROVED="robw810"